#ifndef _GPF_INT_DATAMGR_H
#define _GPF_INT_DATAMGR_H

#include <ggi/internal/gpf.h>


enum gpf_pipeline_item_type_t {
	GPF_PIPE_INPUT = 0,
	GPF_PIPE_OUTPUT = 1,
};

size_t gpfConsumeData(struct gpf_handle_pipeline_t *hnd_pipeline,
		      struct gpf_pipeline_item_t *pipe,
		      size_t wrote_bytes,
		      enum gpf_pipeline_item_type_t type);

size_t gpfProduceData(struct gpf_handle_pipeline_t *hnd_pipeline,
		      struct gpf_pipeline_item_t *pipe,
		      size_t frame_size,
		      struct timeval *transfered_timestamps,
		      enum gpf_pipeline_item_type_t type);

#endif
